"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_ui_surfaces_card_1 = require("@teambit/base-ui.surfaces.card");
const base_ui_text_muted_text_1 = require("@teambit/base-ui.text.muted-text");
const ui_time_ago_1 = require("@teambit/ui.time-ago");
const evangelist_elements_x_button_1 = require("@teambit/evangelist.elements.x-button");
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importStar(require("react"));
const ui_notifications_notification_context_1 = require("@teambit/ui.notifications.notification-context");
const notification_module_scss_1 = __importDefault(require("./notification.module.scss"));
const level_icon_1 = require("./level-icon");
const DISMISS_TIME = +notification_module_scss_1.default.dismissTime;
function Notification({ entry }) {
    const [isDismissing, setDismissing] = react_1.useState(false);
    const notificationsStore = react_1.useContext(ui_notifications_notification_context_1.NotificationContext);
    const { level, time, message, id } = entry;
    const handleDismiss = react_1.useCallback(() => {
        setDismissing(true);
        setTimeout(() => {
            notificationsStore.dismiss(id);
        }, DISMISS_TIME);
    }, [id]);
    return (react_1.default.createElement(base_ui_surfaces_card_1.Card, { className: classnames_1.default(notification_module_scss_1.default.notification, isDismissing && notification_module_scss_1.default.dismissing), elevation: "none" },
        react_1.default.createElement(level_icon_1.LevelIcon, { level: level, className: notification_module_scss_1.default.icon }),
        react_1.default.createElement("div", { className: notification_module_scss_1.default.main },
            react_1.default.createElement("div", { className: notification_module_scss_1.default.type }, level.toString()),
            react_1.default.createElement("div", { className: notification_module_scss_1.default.message }, message),
            time && (react_1.default.createElement("div", { className: classnames_1.default(notification_module_scss_1.default.timestamp, base_ui_text_muted_text_1.mutedText) },
                react_1.default.createElement(ui_time_ago_1.TimeAgo, { date: time })))),
        react_1.default.createElement(evangelist_elements_x_button_1.XButton, { onClick: isDismissing ? undefined : handleDismiss })));
}
exports.Notification = Notification;
//# sourceMappingURL=notification.js.map